<main>
    <section>
        <h2>Signal Counter</h2>
        <h3>
            {{count()}}
        </h3>
        <section>
            <i class="fa fa-solid fa-plus" (click)="increment()"></i>
            <i class="fa fa-solid fa-minus" (click)="decrement()"></i>
            <i class="fa fa-solid fa-sync" (click)="reset()"></i>
        </section>

    </section>

    <section>
        <h2>Signal Counter Power(x <sup>2</sup>)</h2>
        <h3>
            {{power()}}
        </h3>
        <section>
            <i class="fa fa-solid fa-plus" (click)="increment()"></i>
            <i class="fa fa-solid fa-minus" (click)="decrement()"></i>
            <i class="fa fa-solid fa-sync" (click)="reset()"></i>
        </section>

    </section>



    <section>
        <h2>Signal Title</h2>
        <h3>
            {{title()}}
        </h3>
        <section>
            <button (click)="updateTitle('Goodbye World!')">Set Goodbye Title</button>
            <button (click)="updateTitle('Hello World!')">Set Hello Title</button>
        </section>
    </section>

    
</main>